com.rscja.deviceapi

## Class UHFProtocolParseBase

- java.lang.Object
- - com.rscja.deviceapi.UHFProtocolParseBase

-     public class UHFProtocolParseBase
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFProtocolParseBase()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank, int lockMode)`
    `static java.util.ArrayList<UHFTAGInfo>` | `parseReadTagData_EPC(byte[] data)`
    `static java.util.ArrayList<UHFTAGInfo>` | `parseReadTagDataEPC_TID_USER(byte[] data)`
    `static java.util.ArrayList<UHFTAGInfo>` | `parseReadTagDataEPC_TID_USER(UHFDataHandleBase.CMDInfo data, TagInfoRule tagInfoRule)`
    `static UHFTAGInfo` | `parserUhfTagBuff_EPC_TID_USER(byte[] tagsBuff, boolean isContainAnt)`
    `static UHFTAGInfo` | `parserUhfTagBuff_EPC_TID_USER(byte[] tagsBuff, TagInfoRule tagInfoRule)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UHFProtocolParseBase

          public UHFProtocolParseBase()

  - ### Method Detail

    - #### parseReadTagData_EPC

          public static java.util.ArrayList<UHFTAGInfo> parseReadTagData_EPC(byte[] data)

    - #### parseReadTagDataEPC_TID_USER

          public static java.util.ArrayList<UHFTAGInfo> parseReadTagDataEPC_TID_USER(byte[] data)

    - #### parseReadTagDataEPC_TID_USER

          public static java.util.ArrayList<UHFTAGInfo> parseReadTagDataEPC_TID_USER(UHFDataHandleBase.CMDInfo data,
                                                                                     TagInfoRule tagInfoRule)

    - #### parserUhfTagBuff_EPC_TID_USER

          public static UHFTAGInfo parserUhfTagBuff_EPC_TID_USER(byte[] tagsBuff,
                                                                 TagInfoRule tagInfoRule)

    - #### parserUhfTagBuff_EPC_TID_USER

          public static UHFTAGInfo parserUhfTagBuff_EPC_TID_USER(byte[] tagsBuff,
                                                                 boolean isContainAnt)

    - #### generateLockCode

          public static java.lang.String generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank,
                                                          int lockMode)